.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH PGN-EXTRACT 1 "March 11, 2001"
.SH NAME
pgn-extract - a Portable Game Notation (PGN) extractor
.SH SYNOPSIS
.B pgn-extract
[flags] file.pgn [file.pgn ...]
.SH DESCRIPTION
This manual page briefly documents pgn-extract.
This manual page was written for the Debian GNU/Linux distribution
because the original program does not have a manual page.
.SH OPTIONS
.TP 12
\-7
Output the seven tag roster for each game. Other tags, apart from
FEN and possible ECo/Opening/Variation) are lost.
.TP
\-aoutputfile 
The file to which extracted games are to be appended. See \-o flag for
overwriting an existing file.
.TP
\-Aargsfile 
Read the program's arguments from argsfile.
.TP
\-b[elu]num 
Restricted bounds on the number of moves in a game; lnum set a lower bound of
`num' moves, unum set an upper bound of `num' moves, otherwise num (or enum)
means equal-to `num' moves.
.TP
\-cfile[.pgn]
Use file as a list of check files for duplicates.
.TP
\-C
Don't include comments in the output. Ordinarily these are retained.
.TP
\-dduplicatefile
The file to which duplicate extracted games are to be written.
.TP
\-D
Don't output duplicate extracted game scores.
.TP
\-eECO_file
Perform ECO classification of games. The optional ECO_file should contain a
PGN format list of ECO lines. Default is to use /usr/share/pgn-extract/eco.pgn
as ECO_file.
.TP
\-E[123]
Split output into separate files according to ECO. E1: Produce files from
ECO letter, A.pgn, B.pgn, etc. E2: Produce files from ECO letter and first
digit, A0.pgn, etc.  E3: Produce files from full ECO code, A00.pgn, A01.pgn, 
etc. All files are opened in append mode.
.TP
\-ffile_list
The file file_list contains the list of PGN files to be searched \- one per 
line.
.TP
\-F
Output a FEN string comment of the final game position.
.TP
\-h 
Print an abbreviated list of help.
.TP
\-h1
Print further help.
.TP
\-? 
Print an abbreviated list of help.
.TP
\-llogfile
Create a new logfile for the diagnostics rather than using stderr.
.TP
\-Llogfile
Append all diagnostics to logfile rather than using stderr.
.TP
\-noutputfile
Write all valid games not otherwise output to outputfile.
.TP
\-N
Don't include NAGs in the output. Ordinarily these are retained.
.TP
\-ooutputfile
The file to which extracted games are to be written.  Any existing contents 
of the file are lost (see \-a flag).
.TP
\-P
Don't match permutations of the textual variations (\-v).
.TP
\-r
Report any errors but don't extract.
.TP
\-Rtagorder
Use the tag ordering specified in the file tagorder.
.TP
\-s
Silent mode don't report each game as it is extracted.
.TP
\-S
Use a simple soundex algorithm for tag matches. If used, this option must 
precede the \-t or \-T options.
.TP
\-ttagfile
File of player, date, or result, extraction criteria.
.TP
\-Tcriterion
Player, date, or result, extraction criteria.
.TP
\-U
Don't output games that only occur once. (Use with \-d to identify duplicates 
in multiple files.)
.TP
\-vvariations
The file variations contains the textual lines of interest.
.TP
\-V
Don't include variations in the output. Ordinarily these are retained.
.TP
\-wwidth
Set width as an approximate line width for output.
.TP
\-W
Don't rewrite the moves into Standard Algebraic Notation.
.TP
\-W[cm|epd|san|elalg|lalg|halg]
Specify the output format to use. Default is san: standard algebraic notation.
cm is ChessMaster format. epd is EPD format. lalg is long algebraic.
halg is hyphenated long algebraic. elalg is enhanced long algebraic.
Use \-Wsan[PNBRQK] for language specific output, e.g., use \-WsanBSLTDK for
German. Similarly for \-Welalg[PNBRQK].
.TP
\-xvariations
The file variations contains the lines resulting in positions of interest.
.TP
\-zendings
The file endings contains the end positions of interest.
.TP
\-Z
Use the file virtual.tmp as an external hash table for duplicates.
Use when MallocOrDie messages occur with big datasets.
.TP
\-#num
Output num games per file, to files named 1.pgn, 2.pgn, etc.
.SH AUTHOR
Pgn-extract was written by David Barnes <D.J.Barnes@ukc.ac.uk>.
This manual page was written by Peter van Rossum <petervr@debian.org>,
for the Debian GNU/Linux system.
